Subject: lpr grief

From: "Chris Herrmann" <[email-masked]>
Date: Sun, 8 Jul 2001 16:43:57 +1000

Hi all,

I'm attempting to get mac clients to print to a couple of Apple LaserWriters
via a netatalk server, with mixed success...

The printers & server show up nicely in chooser, and after selecting the
correct PPD file it then creates a desktop icon for the new printer.

If I attempt to print to the printer, I have somewhat different results -
from the mac, the job appears to spool fine, then disappears. On the server,
I see in messages:

Jul  8 16:22:07 bob papd[9687]: child 9701 for "Mono" from 65346.168
Jul  8 16:22:08 bob papd[9701]: read_ppd .ppd: No such file or directory
Jul  8 16:22:08 bob papd[9701]: lp_init: lock: No such file or directory
Jul  8 16:22:08 bob papd[9701]: lp_open failed
Jul  8 16:22:08 bob papd[9687]: child 9701 done

Printing directly from lpr is ok.

The relevant papd.conf entry looks like:

Mono:\
        pr=lw8500:\
        op=lp:\
        ppd=/etc/netatalk/ppd/LaserWriter\ 8500\ PPD\ v1.2:

and the corresponding printcap entry:

lw8500:\
  :client:\
  :mx=0:sh:\
  :lp=lw8500@localhost:
lw8500|Mono:\
  :server:
  :lp=[email-masked]:\
  :sd=/var/spool/lpd/%P:\
  :if=/usr/libexec/filters/ifhp:\
  :ifhp=model=apple:\
  :lf=/var/log/%P.log:

Chris Herrmann
Far Edge Technology

p. 02 99553640
f. 02 99547994
m. 0403 393309
http://www.faredge.com.au